﻿@model ExplicitVueModel
@{
    var income = Model.Income;
    var expense = Model.Expense;
    var cashFlow = Model.CashFlow;
    var investment = Model.TotalPv;
    var neededAtRetirement = Model.NeededAtRetirement;
    var annualAvgRateOfReturn = Model.AnnualAvgRateOfReturn;
}
<div class="mb-2 mt-2 text-uppercase font-italic" style="letter-spacing:1px">Income</div>
@if (income.ClientEmployment > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Employment<span class="label label-sm text-white ml-2" style="background:#b00022">C</span></div>
        <div>@string.Format("{0:C0}", income.ClientEmployment)</div>
    </div>
}
@if (income.SpouseEmployment > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Employment<span class="label label-sm text-white ml-2" style="background: #008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpouseEmployment)</div>
    </div>
}
@if (income.ClientPreviousEmployment > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Previous Employment<span class="label label-sm text-white ml-2" style="background:#b00022">C</span></div>
        <div>@string.Format("{0:C0}", income.ClientPreviousEmployment)</div>
    </div>
}
@if (income.SpousePreviousEmployment > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Previous Employment<span class="label label-sm text-white ml-2" style="background: #008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpousePreviousEmployment)</div>
    </div>
}
@if (income.ClientPension > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Pension<span class="label label-sm text-white ml-2" style="background:#b00022">C</span></div>
        <div>@string.Format("{0:C0}", income.ClientPension)</div>
    </div>
}
@if (income.SpousePension > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Pension<span class="label label-sm text-white ml-2" style="background: #008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpousePension)</div>
    </div>
}
@if (income.ClientInvestment > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>
            Investment
            @if (Model.InvestmentVersion)
            {
                <span class="label label-sm text-white ml-1" style="background:#b00022">C</span>
            }
            else
            {
                <span class="badge badge-pill badge-primary pt-1 pb-1">Express</span>
            }
        </div>
        <div>@string.Format("{0:C0}", income.ClientInvestment)</div>
    </div>
}
@if (income.SpouseInvestment > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Investment<span class="label label-sm text-white ml-2" style="background: #008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpouseInvestment)</div>
    </div>
}
@if (income.ClientPersonalActivity > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Personal Activities<span class="label label-sm text-white ml-2" style="background:#b00022">C</span></div>
        <div>@string.Format("{0:C0}", income.ClientPersonalActivity)</div>
    </div>
}
@if (income.SpousePersonalActivity > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Personal Activities<span class="label label-sm text-white ml-2" style="background: #008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpousePersonalActivity)</div>
    </div>
}
@if (income.ClientPersonalAsset > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Personal Assets<span class="label label-sm text-white ml-2" style="background:#b00022">C</span></div>
        <div>@string.Format("{0:C0}", income.ClientPersonalAsset)</div>
    </div>
}
@if (income.SpousePersonalAsset > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Personal Assets<span class="label label-sm text-white ml-2" style="background: #008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpousePersonalAsset)</div>
    </div>
}
@if (income.ClientSocialSecurity > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Social Security<span class="label label-sm text-white ml-2" style="background:#b00022">C</span></div>
        <div>@string.Format("{0:C0}", income.ClientSocialSecurity)</div>
    </div>
}
@if (income.SpouseSocialSecurity > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Social Security<span class="label label-sm text-white ml-2" style="background:#008080">S</span></div>
        <div>@string.Format("{0:C0}", income.SpouseSocialSecurity)</div>
    </div>
}
<div class="d-flex flex-row justify-content-between mt-3 font-size-h6" style="color:#ffcc00">
    <div>Total Income</div>
    <div>@string.Format("{0:C0}", income.Total)</div>
</div>
<hr class="border-top-primary" />
<div class="mb-2 mt-2">
    <span class="text-uppercase font-italic" style="letter-spacing:1px">Expense</span>
    @if (!Model.BudgetVersion)
    {
        <span class="badge badge-pill badge-primary pt-1 pb-1">Express</span>
    }
</div>
@if (expense.Inflationary > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Inflationary</div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", expense.Inflationary)</div>
    </div>
    if (expense.InflationaryProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between mt-1">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", expense.InflationaryProjectedAtRetirement)</div>
        </div>
    }
}
@if (expense.NonInflationary > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Non-Inflationary</div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", expense.NonInflationary)</div>
    </div>
}
@if (expense.Total > 0)
{
    <div class="d-flex flex-row justify-content-between mt-3 font-size-h6" style="color:#ffcc00">
        <div>Total Expense</div>
        <div>@string.Format("{0:C0}", expense.Total)</div>
    </div>
}
<hr class="border-top-primary" />
<div class="mb-2 mt-2 text-uppercase font-italic" style="letter-spacing:1px">Cash flow Analysis</div>
@if (cashFlow.TotalIncome > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Total Income</div>
        <div>@string.Format("{0:C0}", cashFlow.TotalIncome)</div>
    </div>
}
@if (cashFlow.TotalExpense > 0)
{
    <div class="d-flex flex-row justify-content-between mt-1">
        <div>Total Expense</div>
        <div>@string.Format("{0:C0}", cashFlow.TotalExpense)</div>
    </div>
}
<div class="d-flex flex-row justify-content-between mt-3 font-size-h6" style="color:#ffcc00">
    <div>Current Cash Flow</div>
    <div>@cashFlow.CurrentCashFlow.ToCurrency()</div>
</div>
<hr class="border-top-primary" />
<div class="mb-2 mt-2">
    <span class="text-uppercase font-italic" style="letter-spacing:1px">Investment Accounts</span>
    @if (!Model.InvestmentVersion)
    {
        <span class="badge badge-pill badge-primary pt-1 pb-1">Express</span>
    }
</div>
@if (investment.ClientEmploymentPlan > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Employment Plan<span class="label label-sm text-white ml-1" style="background:#b00022">C</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.ClientEmploymentPlan)</div>
    </div>
    if (investment.ClientEmploymentPlanProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.ClientEmploymentPlanProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.SpouseEmploymentPlan > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Employment Plan<span class="label label-sm text-white ml-2" style="background:#008080">S</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.SpouseEmploymentPlan)</div>
    </div>
    if (investment.SpouseEmploymentPlanProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.SpouseEmploymentPlanProjectedAtRetirement)</div>
        </div>
    }
}

@if (investment.ClientPreEmploymentPlan > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Previous Employment Plan<span class="label label-sm text-white ml-1" style="background:#b00022">C</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.ClientPreEmploymentPlan)</div>
    </div>
    if (investment.ClientPreEmploymentPlanProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.ClientPreEmploymentPlanProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.SpousePreEmploymentPlan > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Previous Employment Plan<span class="label label-sm text-white ml-2" style="background:#008080">S</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.SpousePreEmploymentPlan)</div>
    </div>
    if (investment.SpousePreEmploymentPlanProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.SpousePreEmploymentPlanProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.ClientBankingAccount > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>
            Banking Account
            @if (Model.InvestmentVersion)
            {
                <span class="label label-sm text-white ml-1" style="background:#b00022">C</span>
            }
        </div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.ClientBankingAccount)</div>
    </div>
    if (investment.ClientBankingAccountProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.ClientBankingAccountProjectedAtRetirement)</div>
        </div>
    }
}
@if (Model.InvestmentVersion && investment.SpouseBankingAccount > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Banking Account<span class="label label-sm text-white ml-2" style="background:#008080">S</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.SpouseBankingAccount)</div>
    </div>
    if (investment.SpouseBankingAccountProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.SpouseBankingAccountProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.ClientBrokerageAccount > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>
            Brokerage Account
            @if (Model.InvestmentVersion)
            {
                <span class="label label-sm text-white ml-1" style="background:#b00022">C</span>
            }
        </div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.ClientBrokerageAccount)</div>
    </div>
    if (investment.ClientBrokerageAccountProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.ClientBrokerageAccountProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.SpouseBrokerageAccount > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Brokerage Account<span class="label label-sm text-white ml-2" style="background:#008080">S</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.SpouseBrokerageAccount)</div>
    </div>
    if (investment.SpouseBrokerageAccountProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.SpouseBrokerageAccountProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.ClientInsuranceAccount > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>
            Insurance Account
            @if (Model.InvestmentVersion)
            {
                <span class="label label-sm text-white ml-1" style="background:#b00022">C</span>
            }
        </div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.ClientInsuranceAccount)</div>
    </div>
    if (investment.ClientInsuranceAccountProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.ClientInsuranceAccountProjectedAtRetirement)</div>
        </div>
    }
}
@if (investment.SpouseInsuranceAccount > 0)
{
    <div class="d-flex flex-row justify-content-between mt-2">
        <div>Insurance Account<span class="label label-sm text-white ml-2" style="background:#008080">S</span></div>
        <div style="color:#ffcc00">@string.Format("{0:C0}", investment.SpouseInsuranceAccount)</div>
    </div>
    if (investment.SpouseInsuranceAccountProjectedAtRetirement > 0)
    {
        <div class="d-flex flex-row justify-content-between">
            <div>Projected at Retirement</div>
            <div>@string.Format("{0:C0}", investment.SpouseInsuranceAccountProjectedAtRetirement)</div>
        </div>
    }
}
<div class="d-flex flex-row justify-content-between mt-3 font-size-h6" style="color:#ffcc00">
    <div>Total Investment</div>
    <div>@string.Format("{0:C0}", investment.Total)</div>
</div>
<div class="d-flex flex-row justify-content-between font-size-h6">
    <div>Total Projected</div>
    <div>@string.Format("{0:C0}", investment.TotalProjectedAtRetirement)</div>
</div>
<hr class="border-top-primary" />
<div class="mb-2 mt-2 text-uppercase font-italic" style="letter-spacing:1px">Needed at Retirement</div>
<div class="d-flex flex-row justify-content-between mt-3 font-size-h6" style="color:#ffcc00">
    <div>Income</div>
    <div>@string.Format("{0:C0}", neededAtRetirement.Income)</div>
</div>
<div class="d-flex flex-row justify-content-between font-size-h6" style="color:#ffcc00">
    <div>Investment Account</div>
    <div>@string.Format("{0:C0}", neededAtRetirement.InvestmentAccount)</div>
</div>
<hr class="border-top-primary" />
<div class="mb-2 mt-2 text-uppercase font-italic" style="letter-spacing:1px">Annual Average Rate of Return</div>
<div class="d-flex flex-row justify-content-between mt-3 font-size-h6" style="color:#ffcc00">
    <div>Current</div>
    <div>@string.Format("{0:0.00}%", annualAvgRateOfReturn.Current)</div>
</div>
<div class="d-flex flex-row justify-content-between font-size-h6" style="color:#ffcc00">
    <div>Required</div>
    <div>@string.Format("{0:0.00}%", annualAvgRateOfReturn.Required)</div>
</div>